.ansible_role_test_yaml_lint: &ansible-role-test-yaml-lint
    - yamllint .

.ansible_role_test_ansible_lint: &ansible-role-test-ansible-lint
    - ansible-lint

.yaml-lint:
  stage: lint
  image: 
    name: registry.gitlab.com/devops5721711/docker-image/docker-image-molecule:latest
  variables:
    DOCKER_HOST: tcp://docker:2375
    DOCKER_TLS_CERTDIR: ""
  services:
    - name: docker:dind
  before_script:
    - yamllint --version
  script:
    - *ansible-role-test-yaml-lint
  tags:
    - docker

.ansible-lint:
  stage: lint
  image: registry.gitlab.com/devops5721711/docker-image/docker-image-molecule:latest
  variables:
    DOCKER_HOST: tcp://docker:2375
    DOCKER_TLS_CERTDIR: ""
  services:
    - name: docker:dind
  before_script:
    - ansible-lint --version
  script:
    - *ansible-role-test-ansible-lint
  tags:
    - docker